Overview
GET
/notificationsnotificationsList the caller's in-app notifications (paginated, filterable)
List notifications.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- pagequery · optionalstring
- pageSizequery · optionalstring
- categoryquery · optionalstring[]
Filter to these categories (repeatable; the union). Absent = all.
- statusquery · optional"inbox" | "archived" | "trashed"
Inbox lifecycle bucket to list; default inbox.
- readquery · optionalboolean
Filter by read state; absent = both.
Responses
200
A page of notifications
- itemsNotification[]
- totalinteger
- pageinteger
- pageSizeinteger
Example
{
"items": [
{
"id": "string",
"ecosystemId": "string",
"userId": "string",
"actorId": "string",
"category": "string",
"entityKind": "string",
"entityId": "string",
"title": "string",
"body": "string",
"data": {},
"status": "inbox",
"isRead": true,
"dedupeKey": "string",
"createdAt": "string",
"updatedAt": "string",
"readAt": "string"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/notifications" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/notifications", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();